
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

Name:			ladspa-wasp
Summary:		LADSPA Wave Sculpting Plugins
Version:		0.1.4
Release:		2.8
License: GPL-2.0
Group:			Productivity/Multimedia/Sound/Utilities
Source:			wasp-%{version}.tar.bz2
Source1:		wasp-docs-0.1.4.tar.bz2
URL:			http://artemiolabs.com/software/wasp/
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
BuildRequires:	gcc-c++
BuildRequires:	ladspa

%description
WASP stands for 'WAve Sculpting Plugins'. It is a growing collection
of software plugins written according to the LADSPA standard, which
can be used in a very wide range of applications including audio
editors, synthesisers and effect processors. All the processors and
generators in the WASP set include two variants - mono and stereo.

WASP doesn't have any sophisticated plugins (yet), but it does fill
the gap in the variety of currently-available LADSPA sets. The plugins
are pretty simple, but very useful in many situations. For example,
here you will find a non-linear amplifier with various transmission
curves - from round and parabolic to sine and non-linear sine - which
can be used to create a wide variety of interesting and even unique
distortion effects. Also there are some nice plugins like hard
clipping booster and noisifier.



%prep
%setup -q -n wasp-%{version} -a1

%build
%__make

%install
#%__install -dm 755 %{buildroot}%{_libdir}/ladspa
%makeinstall \
	INSTALL_PATH=%{_libdir}/ladspa \
	RPM_BUILD_ROOT=%{buildroot}

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog LICENSE
%doc wasp-docs-0.1.4/data/* wasp-docs-0.1.4/*.html
%dir %{_libdir}/ladspa
%{_libdir}/ladspa/*

%changelog
* Sun May 20 2012 seife+obs@b1-systems.com
- remove obsolete %%suse_update_libdir to fix Factory build
* Sun Sep 16 2007 toni@links2linux.de
- splitt-off from ladspa package
